package nori

import "image/color"

type PaletteSection struct {
	Version    uint32
	Params     [4]uint32
	Divided    bool
	DataLength uint32
	Palette    [256]color.Color
	MainBound  [2]uint32
}

type GawiSection struct {
	Version      uint32
	Bpp          uint32
	IsCompressed bool
	Params       [4]uint32
	BmpCount     uint32
	Size         uint32

	HasPalette bool
	Palette    *PaletteSection
	// std::vector<uint32> bmp_offsets
	Images []*Image
}

type Nori struct {
	Version        uint32
	Params         [5]uint32
	AnimationCount uint32
	SizeNoGawi     uint32
	TotalSize      uint32

	Gawi           *GawiSection
	Animations     []*Animation
	AnimationByKey map[string]*Animation

	lastSignature [4]byte
}
